/* jshint ignore:start */

/* jshint ignore:end */

define('restfound/app', ['exports', 'ember', 'ember/resolver', 'ember/load-initializers', 'restfound/config/environment'], function (exports, Ember, Resolver, loadInitializers, config) {

  'use strict';

  Ember['default'].MODEL_FACTORY_INJECTIONS = true;

  var App = Ember['default'].Application.extend({
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix,
    Resolver: Resolver['default']
  });

  loadInitializers['default'](App, config['default'].modulePrefix);

  exports['default'] = App;

});
define('restfound/components/google-map', ['exports', 'ember'], function (exports, Ember) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend({
        insertMap: (function () {
            var container = this.$(".map-canvas")[0];
            var options = {
                center: new window.google.maps.LatLng(this.get("latitude"), this.get("longitude")),
                zoom: 15
            };
            var map = new window.google.maps.Map(container, options);

            var myLatlng = new google.maps.LatLng(this.get("latitude"), this.get("longitude"));

            var marker = new google.maps.Marker({
                position: myLatlng,
                map: map,
                title: "Here!"
            });
        }).on("didInsertElement"),

        coordinatesChanged: (function () {
            var map = this.get("map");

            if (map) map.setCenter(new google.maps.LatLng(this.get("latitude"), this.get("longitude")));
        }).observes("latitude", "longitude")

    });

});
define('restfound/components/rest-map', ['exports', 'ember'], function (exports, Ember) {

    'use strict';

    exports['default'] = Ember['default'].Component.extend({
        insertMap: (function () {
            var container = this.$(".restmap-canvas")[0];
            var options = {
                center: new window.google.maps.LatLng(this.get("latitude"), this.get("longitude")),
                zoom: 15
            };
            var map = new window.google.maps.Map(container, options);

            var myLatlng = new google.maps.LatLng(this.get("latitude"), this.get("longitude"));

            var marker = new google.maps.Marker({
                position: myLatlng,
                map: map,
                title: "Here!"
            });
        }).on("didInsertElement")
    });

});
define('restfound/controllers/application', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Controller.extend({

		init: function init() {
			var geolocation = this.get("geolocation");

			console.log(geolocation.getGeoposition());
			geolocation.getGeoposition().then(function () {
				console.log("INCOMMING", arguments);
			});

			geolocation.start();
			geolocation.on("change", function () {
				console.log("CHANGE", arguments);
			});
		}

	});

});
define('restfound/controllers/locate', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    //mylatitude: 0,
    //mylongitude: 0,

    geoLocation: function geoLocation(position) {
      this.set("mylatitude", position.coords.latitude);
      this.set("mylongitude", position.coords.longitude);
    },

    markers: [{}],

    addMarker: function addMarker() {
      this.get("mymarkers").addObject({
        title: "My Location",
        lat: this.get("mylatitude"),
        lng: this.get("mylongitude"),
        isDraggable: true
      });
    }

  });

});
define('restfound/initializers/app-version', ['exports', 'restfound/config/environment', 'ember'], function (exports, config, Ember) {

  'use strict';

  var classify = Ember['default'].String.classify;

  exports['default'] = {
    name: "App Version",
    initialize: function initialize(container, application) {
      var appName = classify(application.toString());
      Ember['default'].libraries.register(appName, config['default'].APP.version);
    }
  };

});
define('restfound/initializers/export-application-global', ['exports', 'ember', 'restfound/config/environment'], function (exports, Ember, config) {

  'use strict';

  exports.initialize = initialize;

  function initialize(container, application) {
    var classifiedName = Ember['default'].String.classify(config['default'].modulePrefix);

    if (config['default'].exportApplicationGlobal && !window[classifiedName]) {
      window[classifiedName] = application;
    }
  }

  ;

  exports['default'] = {
    name: "export-application-global",

    initialize: initialize
  };

});
define('restfound/initializers/geolocation-service', ['exports'], function (exports) {

    'use strict';

    exports.initialize = initialize;

    function initialize(container, application) {
        application.inject("route", "geolocation", "service:geolocation");
        application.inject("controller", "geolocation", "service:geolocation");
        application.inject("view", "geolocation", "service:geolocation");
    }

    ;

    exports['default'] = {
        name: "geolocation-service",
        initialize: initialize
    };

});
define('restfound/mixins/geolocation-mixin', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var mixin = Ember['default'].Mixin.create({

    /**
      Geoposition object created by geolocation service.
       @property position
      @type Object
      @default null
    */
    position: Ember['default'].computed.alias("geolocation.geoposition").readOnly()

  });

  exports['default'] = mixin;

});
define('restfound/models/restaurant', ['exports', 'ember-data'], function (exports, DS) {

	'use strict';

	exports['default'] = DS['default'].Model.extend({
		type: DS['default'].attr("string"),
		feature: DS['default'].attr("string"),
		city: DS['default'].attr("string"),
		housenumber: DS['default'].attr("string"),
		street: DS['default'].attr("string"),
		phone: DS['default'].attr("string"),
		website: DS['default'].attr("string"),
		latitude: DS['default'].attr("double"),
		longitude: DS['default'].attr("double"),
		name: DS['default'].attr("string"),
		favourite: DS['default'].attr("boolean", { defaultValue: false })
	});

});
define('restfound/router', ['exports', 'ember', 'restfound/config/environment'], function (exports, Ember, config) {

  'use strict';

  var Router = Ember['default'].Router.extend({
    location: config['default'].locationType
  });

  Router.map(function () {
    this.resource("locate");
    this.route("about");
    this.resource("restaurants");
    this.resource("restaurant", { path: "/restaurants/:restaurant_id" });
  });

  exports['default'] = Router;

});
define('restfound/routes/index', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('restfound/routes/locate', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({

    setupController: function setupController(controller, model) {
      this.set("content", model);
      navigator.geolocation.watchPosition(function (res) {
        controller.geoLocation(res);
      });
    }

  });

});
define('restfound/routes/restaurant', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    model: function model(params) {
      return Ember['default'].$.getJSON("http://overpass-api.de/api/interpreter?data=[out:json];node(" + params.restaurant_id + ");out;").then(function (data) {
        return data.elements.map(function (restaurant) {
          console.log(restaurant);

          restaurant.type = restaurant.type;
          restaurant.latitude = restaurant.lat;
          restaurant.longitude = restaurant.lon;
          restaurant.city = restaurant.tags["addr:city"];
          restaurant.housenumber = restaurant.tags["addr:housenumber"];
          restaurant.street = restaurant.tags["addr:street"];
          restaurant.phone = restaurant.tags.phone;
          restaurant.website = restaurant.tags.website;
          restaurant.name = restaurant.tags.name;

          return restaurant;
        });
      });
    },

    actions: {
      favourite: function favourite() {
        this.controller.set("favourite", true);
      },

      unfavourite: function unfavourite() {
        this.controller.set("favourite", false);
      }
    }

  });

});
define('restfound/routes/restaurants', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({

		model: function model() {

			var mylat = this.controllerFor("locate").get("mylatitude");
			var mylon = this.controllerFor("locate").get("mylongitude");

			return Ember['default'].$.getJSON("http://overpass-api.de/api/interpreter?data=[out:json];node[\"amenity\"=\"restaurant\"](around:500," + mylat + "," + mylon + ");out;").then(function (data) {
				return data.elements.map(function (restaurant) {
					restaurant.type = restaurant.type;
					restaurant.latitude = restaurant.lat;
					restaurant.longitude = restaurant.lon;
					restaurant.city = restaurant.tags["addr:city"];
					restaurant.housenumber = restaurant.tags["addr:housenumber"];
					restaurant.street = restaurant.tags["addr:street"];
					restaurant.phone = restaurant.tags.phone;
					restaurant.website = restaurant.tags.website;
					restaurant.name = restaurant.tags.name;

					return restaurant;
				});
			});
		}
	});

});
define('restfound/services/geolocation', ['exports', 'ember'], function (exports, Ember) {

    'use strict';

    exports['default'] = Ember['default'].Object.extend(Ember['default'].Evented, {

        /**
          @private
           Here lives result of setTimeout called timer.
           @property _timer
          @type Number
        */
        _timer: null,

        /**
          Number of milliseconds between iteration.
           @property interval
          @type Number
          @default 5000
        */
        interval: 5000,

        /**
          Preview result. Compired with current result to prevent
          occure `geoposition` event if coords not changed and if set
          option's flag `onlyUniqueValues`.
           @property interval
          @type Number
          @default null
        */
        prevHash: null,

        /**
          Last geoposition
           @property geoposition
          @type Object
        */
        geoposition: null,

        /**
          Default options for geoPosition#getCurrentPosition.
           @property geopositionOptions
          @type Object
        */
        geopositionOptions: {
            enableHighAccuracy: true
        },

        /**
          Options.
           @property options
          @type Object
        */
        options: {
            breakOnFallback: false,
            onlyUniqueValues: true
        },

        /**
          Constructor
           @method init
          @event ready
        */
        init: function init() {

            // If geoPosition doen't exists throw an error in development mode
            Ember['default'].assert("Must install `geoPosition` dependency", Ember['default'].typeOf(geoPosition) === "object");

            // Is geoPosiion available
            if (geoPosition.init()) {
                this.trigger("ready", this);
                // Geo position library successfuly setted up - run interval
                // this.start();
            } else {
                this.trigger("unready", this);
            }
        },

        /**
          Begin periodically inquire `geoPosition` object to retrieve an
          information about current geolocation.
          
          @method start
        */
        start: function start() {
            this._indent();
            return this;
        },

        /**
          Stop periodically inquire `geoPosition` object.
          
          @method start
        */
        stop: function stop() {
            this.set("_prevHash", null);
            // Prevent future call
            clearInterval(this.get("_timer"));
            return this;
        },

        /**
          Stop and start.
          
          @method restart
        */
        restart: function restart() {
            return this.stop().start();
        },

        /**
          Returns current geoposition.
          
          @method getGeoposition
          @return {Ember.RSVP.Promise}
        */
        getGeoposition: function getGeoposition() {
            var options = this.get("options");

            return new Ember['default'].RSVP.Promise(function (resolve, reject) {
                geoPosition.getCurrentPosition(resolve, reject, options);
            });
        },

        /**
          Method envoke every `this.interval` time.
          
          @method start
        */
        tick: function tick() {

            var options = this.get("options");

            var success = Ember['default'].run.bind(this, function () {
                // Invoke success method
                this.success.apply(this, arguments);

                // Continue ticking
                this._indent();
            });

            var fallback = Ember['default'].run.bind(this, function () {
                // Invoke fallback method
                this.fallback.apply(this, arguments);

                // Continue ticking if breakOnFallback doesn't setted
                this.get("options.breakOnFallback") || this._indent();
            });

            // Ordering geoposition information into `success` method
            geoPosition.getCurrentPosition(success, fallback, options);
        },

        /**
          @event success
        */
        success: function success(geoposition) {
            if (this.get("options.onlyUniqueValues")) {
                var currentHash = this._hash(geoposition);
                // Trigger only if coords changed.
                if (this.get("prevHash") === currentHash) {
                    return;
                }
                this.set("prevHash", currentHash);
            }

            try {
                this.set("geoposition", geoposition);
            } catch (e) {}

            // Trigger opposite coords unchanged.
            this.trigger("change", geoposition, this);
        },

        /**
          @event error
        */
        fallback: function fallback() {
            this.trigger("error", this);
        },

        /**
          @private
           Get hash of geoposition object.
           @method _indent
          @param {Object} geoposition
        */
        _hash: function _hash(geoposition) {
            return [geoposition.coords.latitude, geoposition.coords.longitude].join("x");
        },

        /**
          @private
           Run setTimeout again.
           @method _indent
        */
        _indent: function _indent() {
            var fn = Ember['default'].run.bind(this, this.tick);
            var ms = this.get("interval");
            var timer = setTimeout(fn, ms);
            this.set("_timer", timer);
        }

    });

});
define('restfound/templates/about', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","about");
        var el2 = dom.createTextNode("\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("This is the first version of Restafound!");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("The MIT License (MIT)");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("Copyright (c) 2015 edunivers\n\n	Permission is hereby granted, free of charge, to any person obtaining a copy\n	of this software and associated documentation files (the \"Software\"), to deal\n	in the Software without restriction, including without limitation the rights\n	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell\n	copies of the Software, and to permit persons to whom the Software is\n	furnished to do so, subject to the following conditions:");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("The above copyright notice and this permission notice shall be included in\n	all copies or substantial portions of the Software.");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\n	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN\n	THE SOFTWARE.");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/application', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createTextNode("Locate Me");
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          return fragment;
        }
      };
    }());
    var child1 = (function() {
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createTextNode("Restaurants");
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          return fragment;
        }
      };
    }());
    var child2 = (function() {
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createTextNode("About");
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          return fragment;
        }
      };
    }());
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("nav");
        dom.setAttribute(el1,"class","navbar navbar-default navbar-fixed-top");
        dom.setAttribute(el1,"role","navigation");
        var el2 = dom.createTextNode("\n	");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","container-fluid");
        var el3 = dom.createTextNode("\n		");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","navbar-header");
        var el4 = dom.createTextNode("\n			");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("button");
        dom.setAttribute(el4,"type","button");
        dom.setAttribute(el4,"class","navbar-toggle");
        dom.setAttribute(el4,"data-toggle","collapse");
        dom.setAttribute(el4,"data-target",".navbar-collapse");
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("span");
        dom.setAttribute(el5,"class","sr-only");
        var el6 = dom.createTextNode("Toogle navigation");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("span");
        dom.setAttribute(el5,"class","icon-bar");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("span");
        dom.setAttribute(el5,"class","icon-bar");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("span");
        dom.setAttribute(el5,"class","icon-bar");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n			");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n			");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("a");
        dom.setAttribute(el4,"class","navbar-brand");
        dom.setAttribute(el4,"href","#");
        var el5 = dom.createTextNode("Restfound");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n		");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n		");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","navbar-collapse collapse");
        var el4 = dom.createTextNode("\n			");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("ul");
        dom.setAttribute(el4,"class","nav navbar-nav");
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("li");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("li");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n				");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("li");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n			");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n		");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n	");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","container");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, block = hooks.block, content = hooks.content;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        var element0 = dom.childAt(fragment, [0, 1, 3, 1]);
        var morph0 = dom.createMorphAt(dom.childAt(element0, [1]),-1,-1);
        var morph1 = dom.createMorphAt(dom.childAt(element0, [3]),-1,-1);
        var morph2 = dom.createMorphAt(dom.childAt(element0, [5]),-1,-1);
        var morph3 = dom.createMorphAt(dom.childAt(fragment, [2]),-1,-1);
        block(env, morph0, context, "link-to", ["locate"], {}, child0, null);
        block(env, morph1, context, "link-to", ["restaurants"], {}, child1, null);
        block(env, morph2, context, "link-to", ["about"], {}, child2, null);
        content(env, morph3, context, "outlet");
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/components/google-map', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","map-canvas");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, content = hooks.content;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        var morph0 = dom.createMorphAt(fragment,1,2,contextualElement);
        content(env, morph0, context, "yield");
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/components/rest-map', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","restmap-canvas");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, content = hooks.content;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        var morph0 = dom.createMorphAt(fragment,1,2,contextualElement);
        content(env, morph0, context, "yield");
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/index', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, content = hooks.content;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        if (this.cachedFragment) { dom.repairClonedNode(fragment,[0]); }
        var morph0 = dom.createMorphAt(fragment,0,1,contextualElement);
        content(env, morph0, context, "outlet");
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/locate', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, content = hooks.content, get = hooks.get, inline = hooks.inline;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        if (this.cachedFragment) { dom.repairClonedNode(fragment,[0]); }
        var morph0 = dom.createMorphAt(fragment,0,1,contextualElement);
        var morph1 = dom.createMorphAt(fragment,1,2,contextualElement);
        content(env, morph0, context, "outlet");
        inline(env, morph1, context, "google-map", [], {"latitude": get(env, context, "mylatitude"), "longitude": get(env, context, "mylongitude"), "markers": get(env, context, "mymarkers")});
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/restaurant', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("		");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","cuisine");
          var el2 = dom.createTextNode("\n			");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n		");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          var hooks = env.hooks, content = hooks.content;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          var morph0 = dom.createMorphAt(dom.childAt(fragment, [1]),0,1);
          content(env, morph0, context, "cuisine");
          return fragment;
        }
      };
    }());
    var child1 = (function() {
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("	");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","address");
          var el2 = dom.createTextNode("\n			");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n		  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n		  ");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n	");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          var hooks = env.hooks, content = hooks.content;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          var element1 = dom.childAt(fragment, [1]);
          var morph0 = dom.createMorphAt(element1,0,1);
          var morph1 = dom.createMorphAt(element1,1,2);
          var morph2 = dom.createMorphAt(element1,2,3);
          content(env, morph0, context, "housenumber");
          content(env, morph1, context, "street");
          content(env, morph2, context, "city");
          return fragment;
        }
      };
    }());
    var child2 = (function() {
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("		");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","contact");
          var el2 = dom.createTextNode("\n			");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n			");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n		");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          var hooks = env.hooks, content = hooks.content;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          var element0 = dom.childAt(fragment, [1]);
          var morph0 = dom.createMorphAt(element0,0,1);
          var morph1 = dom.createMorphAt(element0,1,2);
          content(env, morph0, context, "phone");
          content(env, morph1, context, "website");
          return fragment;
        }
      };
    }());
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("	");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("h1");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, content = hooks.content, get = hooks.get, block = hooks.block, inline = hooks.inline;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        var morph0 = dom.createMorphAt(dom.childAt(fragment, [1]),-1,-1);
        var morph1 = dom.createMorphAt(fragment,2,3,contextualElement);
        var morph2 = dom.createMorphAt(fragment,3,4,contextualElement);
        var morph3 = dom.createMorphAt(fragment,4,5,contextualElement);
        var morph4 = dom.createMorphAt(fragment,5,6,contextualElement);
        content(env, morph0, context, "name");
        block(env, morph1, context, "if", [get(env, context, "cuisine")], {}, child0, null);
        block(env, morph2, context, "if", [get(env, context, "street")], {}, child1, null);
        block(env, morph3, context, "if", [get(env, context, "phone")], {}, child2, null);
        inline(env, morph4, context, "rest-map", [], {"latitude": get(env, context, "lat"), "longitude": get(env, context, "lon"), "markers": get(env, context, "mymarkers")});
        return fragment;
      }
    };
  }()));

});
define('restfound/templates/restaurants', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        return {
          isHTMLBars: true,
          blockParams: 0,
          cachedFragment: null,
          hasRendered: false,
          build: function build(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("         ");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          render: function render(context, env, contextualElement) {
            var dom = env.dom;
            var hooks = env.hooks, content = hooks.content;
            dom.detectNamespace(contextualElement);
            var fragment;
            if (env.useFragmentCache && dom.canClone) {
              if (this.cachedFragment === null) {
                fragment = this.build(dom);
                if (this.hasRendered) {
                  this.cachedFragment = fragment;
                } else {
                  this.hasRendered = true;
                }
              }
              if (this.cachedFragment) {
                fragment = dom.cloneNode(this.cachedFragment, true);
              }
            } else {
              fragment = this.build(dom);
            }
            var morph0 = dom.createMorphAt(fragment,0,1,contextualElement);
            content(env, morph0, context, "name");
            return fragment;
          }
        };
      }());
      return {
        isHTMLBars: true,
        blockParams: 0,
        cachedFragment: null,
        hasRendered: false,
        build: function build(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("li");
          dom.setAttribute(el1,"class","list-group-item");
          var el2 = dom.createTextNode("\n\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("h4");
          dom.setAttribute(el2,"class","list-group-item-heading");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("span");
          dom.setAttribute(el3,"class","glyphicon glyphicon-cutlery");
          dom.setAttribute(el3,"aria-hidden","true");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n		");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        render: function render(context, env, contextualElement) {
          var dom = env.dom;
          var hooks = env.hooks, get = hooks.get, block = hooks.block;
          dom.detectNamespace(contextualElement);
          var fragment;
          if (env.useFragmentCache && dom.canClone) {
            if (this.cachedFragment === null) {
              fragment = this.build(dom);
              if (this.hasRendered) {
                this.cachedFragment = fragment;
              } else {
                this.hasRendered = true;
              }
            }
            if (this.cachedFragment) {
              fragment = dom.cloneNode(this.cachedFragment, true);
            }
          } else {
            fragment = this.build(dom);
          }
          var morph0 = dom.createMorphAt(dom.childAt(fragment, [1, 1]),2,3);
          block(env, morph0, context, "link-to", ["restaurant", get(env, context, "this")], {}, child0, null);
          return fragment;
        }
      };
    }());
    return {
      isHTMLBars: true,
      blockParams: 0,
      cachedFragment: null,
      hasRendered: false,
      build: function build(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","col-md-4");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("ul");
        dom.setAttribute(el2,"class","list-group");
        var el3 = dom.createTextNode("\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" \n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      render: function render(context, env, contextualElement) {
        var dom = env.dom;
        var hooks = env.hooks, block = hooks.block;
        dom.detectNamespace(contextualElement);
        var fragment;
        if (env.useFragmentCache && dom.canClone) {
          if (this.cachedFragment === null) {
            fragment = this.build(dom);
            if (this.hasRendered) {
              this.cachedFragment = fragment;
            } else {
              this.hasRendered = true;
            }
          }
          if (this.cachedFragment) {
            fragment = dom.cloneNode(this.cachedFragment, true);
          }
        } else {
          fragment = this.build(dom);
        }
        var morph0 = dom.createMorphAt(dom.childAt(fragment, [0, 1]),0,1);
        block(env, morph0, context, "each", [], {}, child0, null);
        return fragment;
      }
    };
  }()));

});
define('restfound/tests/app.jshint', function () {

  'use strict';

  module('JSHint - .');
  test('app.js should pass jshint', function() { 
    ok(true, 'app.js should pass jshint.'); 
  });

});
define('restfound/tests/components/google-map.jshint', function () {

  'use strict';

  module('JSHint - components');
  test('components/google-map.js should pass jshint', function() { 
    ok(false, 'components/google-map.js should pass jshint.\ncomponents/google-map.js: line 31, col 16, Expected \'{\' and instead saw \'map\'.\ncomponents/google-map.js: line 15, col 28, \'google\' is not defined.\ncomponents/google-map.js: line 20, col 26, \'google\' is not defined.\ncomponents/google-map.js: line 31, col 34, \'google\' is not defined.\ncomponents/google-map.js: line 20, col 13, \'marker\' is defined but never used.\n\n5 errors'); 
  });

});
define('restfound/tests/components/rest-map.jshint', function () {

  'use strict';

  module('JSHint - components');
  test('components/rest-map.js should pass jshint', function() { 
    ok(false, 'components/rest-map.js should pass jshint.\ncomponents/rest-map.js: line 15, col 28, \'google\' is not defined.\ncomponents/rest-map.js: line 20, col 26, \'google\' is not defined.\ncomponents/rest-map.js: line 20, col 13, \'marker\' is defined but never used.\n\n3 errors'); 
  });

});
define('restfound/tests/controllers/locate.jshint', function () {

  'use strict';

  module('JSHint - controllers');
  test('controllers/locate.js should pass jshint', function() { 
    ok(true, 'controllers/locate.js should pass jshint.'); 
  });

});
define('restfound/tests/helpers/resolver', ['exports', 'ember/resolver', 'restfound/config/environment'], function (exports, Resolver, config) {

  'use strict';

  var resolver = Resolver['default'].create();

  resolver.namespace = {
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix
  };

  exports['default'] = resolver;

});
define('restfound/tests/helpers/resolver.jshint', function () {

  'use strict';

  module('JSHint - helpers');
  test('helpers/resolver.js should pass jshint', function() { 
    ok(true, 'helpers/resolver.js should pass jshint.'); 
  });

});
define('restfound/tests/helpers/start-app', ['exports', 'ember', 'restfound/app', 'restfound/router', 'restfound/config/environment'], function (exports, Ember, Application, Router, config) {

  'use strict';



  exports['default'] = startApp;
  function startApp(attrs) {
    var application;

    var attributes = Ember['default'].merge({}, config['default'].APP);
    attributes = Ember['default'].merge(attributes, attrs); // use defaults, but you can override;

    Ember['default'].run(function () {
      application = Application['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }

});
define('restfound/tests/helpers/start-app.jshint', function () {

  'use strict';

  module('JSHint - helpers');
  test('helpers/start-app.js should pass jshint', function() { 
    ok(true, 'helpers/start-app.js should pass jshint.'); 
  });

});
define('restfound/tests/models/restaurant.jshint', function () {

  'use strict';

  module('JSHint - models');
  test('models/restaurant.js should pass jshint', function() { 
    ok(true, 'models/restaurant.js should pass jshint.'); 
  });

});
define('restfound/tests/router.jshint', function () {

  'use strict';

  module('JSHint - .');
  test('router.js should pass jshint', function() { 
    ok(true, 'router.js should pass jshint.'); 
  });

});
define('restfound/tests/routes/index.jshint', function () {

  'use strict';

  module('JSHint - routes');
  test('routes/index.js should pass jshint', function() { 
    ok(true, 'routes/index.js should pass jshint.'); 
  });

});
define('restfound/tests/routes/locate.jshint', function () {

  'use strict';

  module('JSHint - routes');
  test('routes/locate.js should pass jshint', function() { 
    ok(true, 'routes/locate.js should pass jshint.'); 
  });

});
define('restfound/tests/routes/restaurant.jshint', function () {

  'use strict';

  module('JSHint - routes');
  test('routes/restaurant.js should pass jshint', function() { 
    ok(true, 'routes/restaurant.js should pass jshint.'); 
  });

});
define('restfound/tests/routes/restaurants.jshint', function () {

  'use strict';

  module('JSHint - routes');
  test('routes/restaurants.js should pass jshint', function() { 
    ok(true, 'routes/restaurants.js should pass jshint.'); 
  });

});
define('restfound/tests/test-helper', ['restfound/tests/helpers/resolver', 'ember-qunit'], function (resolver, ember_qunit) {

	'use strict';

	ember_qunit.setResolver(resolver['default']);

});
define('restfound/tests/test-helper.jshint', function () {

  'use strict';

  module('JSHint - .');
  test('test-helper.js should pass jshint', function() { 
    ok(true, 'test-helper.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/components/google-map-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent("google-map", {});

  ember_qunit.test("it renders", function (assert) {
    assert.expect(2);

    // Creates the component instance
    var component = this.subject();
    assert.equal(component._state, "preRender");

    // Renders the component to the page
    this.render();
    assert.equal(component._state, "inDOM");
  });

  // Specify the other units that are required for this test
  // needs: ['component:foo', 'helper:bar']

});
define('restfound/tests/unit/components/google-map-test.jshint', function () {

  'use strict';

  module('JSHint - unit/components');
  test('unit/components/google-map-test.js should pass jshint', function() { 
    ok(true, 'unit/components/google-map-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/controllers/index-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("controller:index", {});

  // Replace this with your real tests.
  ember_qunit.test("it exists", function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/controllers/index-test.jshint', function () {

  'use strict';

  module('JSHint - unit/controllers');
  test('unit/controllers/index-test.js should pass jshint', function() { 
    ok(true, 'unit/controllers/index-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/controllers/locate-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("controller:locate", {});

  // Replace this with your real tests.
  ember_qunit.test("it exists", function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/controllers/locate-test.jshint', function () {

  'use strict';

  module('JSHint - unit/controllers');
  test('unit/controllers/locate-test.js should pass jshint', function() { 
    ok(true, 'unit/controllers/locate-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/controllers/restaurant-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("controller:restaurant", {});

  // Replace this with your real tests.
  ember_qunit.test("it exists", function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/controllers/restaurant-test.jshint', function () {

  'use strict';

  module('JSHint - unit/controllers');
  test('unit/controllers/restaurant-test.js should pass jshint', function() { 
    ok(true, 'unit/controllers/restaurant-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/controllers/restaurants-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("controller:restaurants", {});

  // Replace this with your real tests.
  ember_qunit.test("it exists", function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/controllers/restaurants-test.jshint', function () {

  'use strict';

  module('JSHint - unit/controllers');
  test('unit/controllers/restaurants-test.js should pass jshint', function() { 
    ok(true, 'unit/controllers/restaurants-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/routes/favourites-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("route:favourites", {});

  ember_qunit.test("it exists", function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/routes/favourites-test.jshint', function () {

  'use strict';

  module('JSHint - unit/routes');
  test('unit/routes/favourites-test.js should pass jshint', function() { 
    ok(true, 'unit/routes/favourites-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/routes/index-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("route:index", {});

  ember_qunit.test("it exists", function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/routes/index-test.jshint', function () {

  'use strict';

  module('JSHint - unit/routes');
  test('unit/routes/index-test.js should pass jshint', function() { 
    ok(true, 'unit/routes/index-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/routes/locate-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("route:locate", {});

  ember_qunit.test("it exists", function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

  // Specify the other units that are required for this test.
  // needs: ['controller:foo']

});
define('restfound/tests/unit/routes/locate-test.jshint', function () {

  'use strict';

  module('JSHint - unit/routes');
  test('unit/routes/locate-test.js should pass jshint', function() { 
    ok(true, 'unit/routes/locate-test.js should pass jshint.'); 
  });

});
define('restfound/tests/unit/services/geolocation-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor("service:geolocation", {});

  // Replace this with your real tests.
  ember_qunit.test("it exists", function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

  // Specify the other units that are required for this test.
  // needs: ['service:foo']

});
define('restfound/tests/unit/services/geolocation-test.jshint', function () {

  'use strict';

  module('JSHint - unit/services');
  test('unit/services/geolocation-test.js should pass jshint', function() { 
    ok(true, 'unit/services/geolocation-test.js should pass jshint.'); 
  });

});
/* jshint ignore:start */

/* jshint ignore:end */

/* jshint ignore:start */

define('restfound/config/environment', ['ember'], function(Ember) {
  var prefix = 'restfound';
/* jshint ignore:start */

try {
  var metaName = prefix + '/config/environment';
  var rawConfig = Ember['default'].$('meta[name="' + metaName + '"]').attr('content');
  var config = JSON.parse(unescape(rawConfig));

  return { 'default': config };
}
catch(err) {
  throw new Error('Could not read config from meta tag with name "' + metaName + '".');
}

/* jshint ignore:end */

});

if (runningTests) {
  require("restfound/tests/test-helper");
} else {
  require("restfound/app")["default"].create({"name":"restfound","version":"0.0.0.9011919a"});
}

/* jshint ignore:end */
//# sourceMappingURL=restfound.map